- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# Rp_asymmetric_binding

## Typedefs
typedef struct rp_asymmetric_binding_t | rp_asymmetric_binding_t
## Functions
AXIS2_EXTERN rp_asymmetric_binding_t * | rp_asymmetric_binding_create (const axutil_env_t *env)
AXIS2_EXTERN void | rp_asymmetric_binding_free (rp_asymmetric_binding_t *asymmetric_binding, const axutil_env_t *env)
AXIS2_EXTERN rp_symmetric_asymmetric_binding_commons_t * | rp_asymmetric_binding_get_symmetric_asymmetric_binding_commons (rp_asymmetric_binding_t *asymmetric_binding, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_asymmetric_binding_set_symmetric_asymmetric_binding_commons (rp_asymmetric_binding_t *asymmetric_binding, const axutil_env_t *env, rp_symmetric_asymmetric_binding_commons_t *symmetric_asymmetric_binding_commons)
AXIS2_EXTERN axis2_status_t | rp_asymmetric_binding_set_initiator_token (rp_asymmetric_binding_t *asymmetric_binding, const axutil_env_t *env, rp_property_t *initiator_token)
AXIS2_EXTERN rp_property_t * | rp_asymmetric_binding_get_initiator_token (rp_asymmetric_binding_t *asymmetric_binding, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_asymmetric_binding_set_recipient_token (rp_asymmetric_binding_t *asymmetric_binding, const axutil_env_t *env, rp_property_t *recipient_token)
AXIS2_EXTERN rp_property_t * | rp_asymmetric_binding_get_recipient_token (rp_asymmetric_binding_t *asymmetric_binding, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | rp_asymmetric_binding_increment_ref (rp_asymmetric_binding_t *asymmetric_binding, const axutil_env_t *env)